- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CoinFileIOBase Class Reference

Base class for FileIO classes. More...

`#include <CoinFileIO.hpp>`

Inheritance diagram for CoinFileIOBase:

[legend]
List of all members.

## Public Member Functions
| CoinFileIOBase (const std::string &fileName)
| Constructor.
| ~CoinFileIOBase ()
| Destructor.
const char * | getFileName () const
| Return the name of the file used by this object.
std::string | getReadType () const
| Return the method of reading being used.
## Protected Attributes
std::string | readType_
## Private Member Functions
| CoinFileIOBase ()
| CoinFileIOBase (const CoinFileIOBase &)
## Private Attributes
std::string | fileName_

## Detailed Description

Base class for FileIO classes.

Definition at line 9 of file CoinFileIO.hpp.

## Constructor & Destructor Documentation

CoinFileIOBase::CoinFileIOBase | ( | const std::string & | fileName | ) |

Constructor.

Parameters:

  | fileName | The name of the file used by this object.

CoinFileIOBase::~CoinFileIOBase | ( |  | ) |

Destructor.

CoinFileIOBase::CoinFileIOBase | ( |  | ) | `[private]`

CoinFileIOBase::CoinFileIOBase | ( | const CoinFileIOBase & |  | ) | `[private]`

## Member Function Documentation

const char* CoinFileIOBase::getFileName | ( |  | ) | const

Return the name of the file used by this object.

std::string CoinFileIOBase::getReadType | ( |  | ) | const`[inline]`

Return the method of reading being used.

Definition at line 23 of file CoinFileIO.hpp.

References readType_.

## Member Data Documentation

std::string CoinFileIOBase::readType_`[protected]`

Definition at line 26 of file CoinFileIO.hpp.

Referenced by getReadType().

std::string CoinFileIOBase::fileName_`[private]`

Definition at line 31 of file CoinFileIO.hpp.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Alps-1.2.1/CoinUtils/src/CoinFileIO.hpp